﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;

namespace App1
{
    public class NavigationService
    {
        public static Frame frame;

        public NavigationService(Frame _frame)
        {
            frame = _frame;
        }

        public static void Navigate(Type type, object args)
        {
            frame.Navigate(type, args);
        }
        public static void Navigate(Type type)
        {
            frame.Navigate(type);
        }

        public static void GoBack()
        {
            frame.GoBack();
        }

        public static bool CanGoBack
        {
            get
            {
                return frame.CanGoBack;
            }
        }
    }
}
